Page MenuHomePhabricator

Update EventBus extension to produce User-block events
Closed, ResolvedPublic

Description

The EventBus extension should produce events when a user or IP is administratively blocked, or unblocked.

The former can be accomplished with the BlockIpComplete hook. The latter will require the addition of a new hook (UnblockIpComplete?).

Event Timeline

Eevans created this task.Dec 21 2015, 9:02 PM
Eevans raised the priority of this task from to Normal.
Eevans updated the task description. (Show Details)
Eevans added subscribers: Aklapper, Eevans, StudiesWorld.
mobrovac assigned this task to Pchelolo.Apr 19 2016, 5:01 PM
mobrovac raised the priority of this task from Normal to High.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 5:01 PM

Change 284258 had a related patch set uploaded (by Ppchelko):
Emit user_block event.

https://gerrit.wikimedia.org/r/284258

Change 284258 merged by Mobrovac:
Emit user_block event.

https://gerrit.wikimedia.org/r/284258

Pchelolo closed this task as Resolved.Apr 26 2016, 11:07 PM

And we're producing user_block events!